Bug 48961 - /usr/bin/logger logs kern.info (and possibly others) incorrectly.
/usr/bin/logger logs kern.info (and possibly others) incorrectly.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
7.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jason Vas Dias
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-12 13:38 EDT by Need Real Name
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-12 13:38:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
In /etc/syslog.conf, i have (not the whole file):
kern.*                  /var/log/kernel
kern.*                  /dev/tty6
user.*                                  /var/log/user

when i restart syslog (/etc/init.d/syslog restart) the kernel messages are
logged into /var/log/kernel, as expected. But when I try to test logging
with /usr/bin/logger (/usr/bin/logger -i -p kern.info "Test of kern.info")
the message is logged into /var/log/user. I would expect that it log into
the kern.* action. (/var/log/kernel)

How reproducible:
Always

Steps to Reproduce:
1.add "kern.*    /var/log/kernel" and "user.*    /var/log/user" to
/etc/syslog.conf,restart syslogd (/etc/init.d/syslog restart).
2.run /usr/bin/logger -i -p kern.info "test of kern.info"
3.notice destination of the test log entry (and where the klogd messages go).
	

Actual Results:  the kernel messages are logged into /var/log/kernel, while
the test message is logged into /var/log/user

Expected Results:  that the test message would be logged into /var/log/kernel

Additional info:

I have separated all of the log facilites (user, kern, etc...) into
separate logs, and all the others tested as expected.
Comment 1 Bill Nottingham 2006-08-07 15:13:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 12:37:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.